Index: in/waeup.kofa/branches/uli-diazo-themed/layout/base.xml
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/base.xml	(revision 10949)
+++ 	(revision )
@@ -1,138 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<rules
-    xmlns="http://namespaces.plone.org/diazo"
-    xmlns:css="http://namespaces.plone.org/diazo/css"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-    xmlns:xi="http://www.w3.org/2001/XInclude">
-
-  <!-- Cases where we do not want themes... -->
-  <notheme if-path="/++grokui++" />  <!-- do not theme GrokUI -->
-  <notheme if-path="/_debug" /><!-- output by debugger -->
-  <notheme css:if-content="div#error-area" />
-
-  <!-- use error page if there is a <table class="layout"> 
-       tag in content. This tag is rendered in Zope 3 errors. -->
-  <rules css:if-content="table#layout">
-    <theme href="error-zope.html" />
-    <replace css:theme-children="#kofa-error-message"
-             css:content-children="h3" />
-  </rules>
-  <!-- use error page if there is no <div> tag in content.
-       This happens if something in the application went wrong. -->
-  <rules css:if-not-content="div">
-    <theme href="error-zope.html" />
-    <replace css:theme-children="#kofa-error-message"
-             css:content-children="body" />
-  </rules>
-
-  <!-- regular rules -->
-  <rules css:if-content="body.kofa-body">
-
-    <theme href="theme.html" />
-
-    <!-- head elements -->
-    <replace css:theme="html head title"
-             css:content="html head title" />
-
-    <!-- brand (upper left) -->
-    <copy attributes="href" css:theme="a.kofa-brand-link"
-          css:content="a.kofa-brand-link" />
-    <replace css:theme-children="a.kofa-brand-link"
-             css:content-children="a.kofa-brand-link" />
-
-    <!-- left top navigation -->
-    <replace css:theme-children="ul.kofa-navbar-left"
-             css:content-children="ul.kofa-navbar-left" />
-
-    <!-- right side top navigation -->
-    <replace css:theme-children="ul.kofa-navbar-right"
-             css:content-children="ul.kofa-navbar-right" />
-
-    <!-- breadcrumbs -->
-    <replace css:theme-children="ol.kofa-breadcrumbs"
-             css:content="ul.breadcrumb li" />
-    <drop css:theme="div.kofa-breadcrumbs-box"
-          css:if-not-content="ul.breadcrumb" />
-
-    <!-- sidebar -->
-
-    <drop css:theme="div.kofa-sidebar"
-          css:if-not-content="div.sidebar" />
-    <replace css:theme-children=".kofa-sidebar-title"
-             css:content-children="div.sidebar h5" />
-    <replace css:theme-children=".kofa-sidebar-body"
-             css:content-children="div.sidebar ul" />
-
-    <!-- content -->
-
-    <!-- drop one of the both content areas, depending on sidebar -->
-
-    <drop css:theme="div.kofa-content-narrow"
-          css:if-not-content="div.sidebar" />
-    <drop css:theme="div.kofa-content-wide"
-          css:if-content="div.sidebar" />
-    <replace css:theme-children="div.kofa-content"
-             css:content-children="div.kofa-content" />
-
-
-    <!-- scripts -->
-    <drop css:theme="script.kofa-script-tooltip"
-          css:if-not-content="[data-toggle=tooltip]" />
-
-<!--
-    <after css:theme-children="html head"
-           css:content="html head meta" />
--->
-<!--
-    <after css:theme-children="html head"
-           css:content="html head base" />
--->
-
-    <!-- top navigation -->
-    <!-- left top navigation -->
-<!--
-    <replace css:theme-children="ul.kofa-navbar-left"
-             css:content-children="ul.kofa-navbar-left" />
--->
-
-    <!-- the language selector
-
-      quite tricky. We insert a <li> element at end of
-      ul.kofa-navbar-left. This <li> has a header element
-      (the 'Language' button) and the a number of <li> elements
-      representing the supported languages.
-      We change the input content of format
-
-         <a href="foo" title="Lang">Abbrev</a>
-
-      to
-
-         <a href="foo">Lang</a>
-
-      creating new nodes (<xsl:element>) with attributes copied over.
-    -->
-    <after css:theme-children="ul.kofa-navbar-left">
-      <li class="dropdown kofa-langselect">
-        <a href="#" class="dropdown-toggle"
-           data-toggle="dropdown">Language <b class="caret"></b></a>
-        <ul class="dropdown-menu">
-          <xsl:for-each css:select=" .language a">
-            <li class="kofa-language">
-              <xsl:element name="a">
-                <xsl:attribute name="href">
-                  <xsl:value-of select="@href" />
-                </xsl:attribute>
-                <xsl:value-of select="@title" />
-              </xsl:element>
-            </li>
-          </xsl:for-each>
-        </ul>
-      </li>
-    </after>
-
-
-
-
-  </rules>
-
-</rules>
Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 10950)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 10950)
@@ -0,0 +1,138 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rules
+    xmlns="http://namespaces.plone.org/diazo"
+    xmlns:css="http://namespaces.plone.org/diazo/css"
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+    xmlns:xi="http://www.w3.org/2001/XInclude">
+
+  <!-- Cases where we do not want themes... -->
+  <notheme if-path="/++grokui++" />  <!-- do not theme GrokUI -->
+  <notheme if-path="/_debug" /><!-- output by debugger -->
+  <notheme css:if-content="div#error-area" />
+
+  <!-- use error page if there is a <table class="layout"> 
+       tag in content. This tag is rendered in Zope 3 errors. -->
+  <rules css:if-content="table#layout">
+    <theme href="error-zope.html" />
+    <replace css:theme-children="#kofa-error-message"
+             css:content-children="h3" />
+  </rules>
+  <!-- use error page if there is no <div> tag in content.
+       This happens if something in the application went wrong. -->
+  <rules css:if-not-content="div">
+    <theme href="error-zope.html" />
+    <replace css:theme-children="#kofa-error-message"
+             css:content-children="body" />
+  </rules>
+
+  <!-- regular rules -->
+  <rules css:if-content="body.kofa-body">
+
+    <theme href="theme.html" />
+
+    <!-- head elements -->
+    <replace css:theme="html head title"
+             css:content="html head title" />
+
+    <!-- brand (upper left) -->
+    <copy attributes="href" css:theme="a.kofa-brand-link"
+          css:content="a.kofa-brand-link" />
+    <replace css:theme-children="a.kofa-brand-link"
+             css:content-children="a.kofa-brand-link" />
+
+    <!-- left top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-left"
+             css:content-children="ul.kofa-navbar-left" />
+
+    <!-- right side top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-right"
+             css:content-children="ul.kofa-navbar-right" />
+
+    <!-- breadcrumbs -->
+    <replace css:theme-children="ol.kofa-breadcrumbs"
+             css:content="ul.breadcrumb li" />
+    <drop css:theme="div.kofa-breadcrumbs-box"
+          css:if-not-content="ul.breadcrumb" />
+
+    <!-- sidebar -->
+
+    <drop css:theme="div.kofa-sidebar"
+          css:if-not-content="div.sidebar" />
+    <replace css:theme-children=".kofa-sidebar-title"
+             css:content-children="div.sidebar h5" />
+    <replace css:theme-children=".kofa-sidebar-body"
+             css:content-children="div.sidebar ul" />
+
+    <!-- content -->
+
+    <!-- drop one of the both content areas, depending on sidebar -->
+
+    <drop css:theme="div.kofa-content-narrow"
+          css:if-not-content="div.sidebar" />
+    <drop css:theme="div.kofa-content-wide"
+          css:if-content="div.sidebar" />
+    <replace css:theme-children="div.kofa-content"
+             css:content-children="div.kofa-content" />
+
+
+    <!-- scripts -->
+    <drop css:theme="script.kofa-script-tooltip"
+          css:if-not-content="[data-toggle=tooltip]" />
+
+<!--
+    <after css:theme-children="html head"
+           css:content="html head meta" />
+-->
+<!--
+    <after css:theme-children="html head"
+           css:content="html head base" />
+-->
+
+    <!-- top navigation -->
+    <!-- left top navigation -->
+<!--
+    <replace css:theme-children="ul.kofa-navbar-left"
+             css:content-children="ul.kofa-navbar-left" />
+-->
+
+    <!-- the language selector
+
+      quite tricky. We insert a <li> element at end of
+      ul.kofa-navbar-left. This <li> has a header element
+      (the 'Language' button) and the a number of <li> elements
+      representing the supported languages.
+      We change the input content of format
+
+         <a href="foo" title="Lang">Abbrev</a>
+
+      to
+
+         <a href="foo">Lang</a>
+
+      creating new nodes (<xsl:element>) with attributes copied over.
+    -->
+    <after css:theme-children="ul.kofa-navbar-left">
+      <li class="dropdown kofa-langselect">
+        <a href="#" class="dropdown-toggle"
+           data-toggle="dropdown">Language <b class="caret"></b></a>
+        <ul class="dropdown-menu">
+          <xsl:for-each css:select=" .language a">
+            <li class="kofa-language">
+              <xsl:element name="a">
+                <xsl:attribute name="href">
+                  <xsl:value-of select="@href" />
+                </xsl:attribute>
+                <xsl:value-of select="@title" />
+              </xsl:element>
+            </li>
+          </xsl:for-each>
+        </ul>
+      </li>
+    </after>
+
+
+
+
+  </rules>
+
+</rules>