Index: /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py	(revision 10953)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py	(revision 10954)
@@ -55,5 +55,5 @@
     def update(self, PAYEE_ID=None, PAYMENT_TYPE=None):
         if PAYEE_ID == None:
-            self.output = '-1'
+            self.output = 'Missing PAYEE_ID' # '-1'
             return
         real_ip = self.request.get('HTTP_X_FORWARDED_FOR', None)
@@ -64,8 +64,8 @@
         if real_ip  and self.ACCEPTED_IP:
             if real_ip not in  self.ACCEPTED_IP:
-                self.output = '-2'
+                self.output = 'Wrong IP address' # '-2'
                 return
         if PAYMENT_TYPE not in ('SCHOOL-FEE', 'ACCEPTANCE-FEE', 'APPLICATION-FEE'):
-            self.output = '-3'
+            self.output = 'Invalid PAYMENT_TYPE' # '-3'
             return
 
@@ -85,17 +85,17 @@
         results = list(cat.searchResults(p_id=(PAYEE_ID, PAYEE_ID)))
         if len(results) != 1:
-            self.output = '-1'
+            self.output = 'Invalid PAYEE_ID' # '-1'
             return
         if PAYMENT_TYPE == 'SCHOOL-FEE' \
             and not results[0].p_category.startswith('schoolfee'):
-            self.output = '-5'
+            self.output = 'Wrong PAYMENT_TYPE' # '-5'
             return
         if PAYMENT_TYPE == 'ACCEPTANCE-FEE' \
             and not results[0].p_category == 'clearance':
-            self.output = '-6'
+            self.output = 'Wrong PAYMENT_TYPE' # '-6'
             return
         if PAYMENT_TYPE == 'APPLICATION-FEE' \
             and not results[0].p_category == 'application':
-            self.output = '-7'
+            self.output = 'Wrong PAYMENT_TYPE' # '-7'
             return
         try:
@@ -110,5 +110,5 @@
             level = owner.current_level
         except (TypeError, AttributeError):
-            self.output = '-8'
+            self.output = 'Unknown error, please contact Kofa administrator' # '-8'
             return
         amount = results[0].amount_auth
Index: /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py
===================================================================
--- /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 10953)
+++ /main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 10954)
@@ -108,23 +108,26 @@
 
         self.browser.open('http://localhost/app/feerequest')
-        self.assertEqual(self.browser.contents, '-1')
+        self.assertEqual(self.browser.contents, 'Missing PAYEE_ID')
         self.browser.open('http://localhost/app/feerequest?NONSENSE=nonsense')
-        self.assertEqual(self.browser.contents, '-1')
+        self.assertEqual(self.browser.contents, 'Missing PAYEE_ID')
+        self.browser.open(
+            'http://localhost/app/feerequest?PAYEE_ID=nonsense&PAYMENT_TYPE=SCHOOL-FEE')
+        self.assertEqual(self.browser.contents, 'Invalid PAYEE_ID')
         self.browser.open(
             'http://localhost/app/feerequest?PAYEE_ID=%s&PAYMENT_TYPE=NONSENSE'
             % self.p_id)
-        self.assertEqual(self.browser.contents, '-3')
+        self.assertEqual(self.browser.contents, 'Invalid PAYMENT_TYPE')
         self.browser.open(
             'http://localhost/app/feerequest?PAYEE_ID=%s'
             % self.p_id)
-        self.assertEqual(self.browser.contents, '-3')
+        self.assertEqual(self.browser.contents, 'Invalid PAYMENT_TYPE')
         self.browser.open(
             'http://localhost/app/feerequest?PAYEE_ID=%s&PAYMENT_TYPE=ACCEPTANCE-FEE'
             % self.p_id)
-        self.assertEqual(self.browser.contents, '-6')
+        self.assertEqual(self.browser.contents, 'Wrong PAYMENT_TYPE')
         self.browser.open(
             'http://localhost/app/feerequest?PAYEE_ID=%s&PAYMENT_TYPE=APPLICATION-FEE'
             % self.p_id)
-        self.assertEqual(self.browser.contents, '-7')
+        self.assertEqual(self.browser.contents, 'Wrong PAYMENT_TYPE')
 
 