Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10957)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10958)
@@ -10,5 +10,5 @@
     <!-- stylesheets -->
     <link href="bootstrap/dist/css/bootstrap.min.css"
-	  rel="stylesheet">
+          rel="stylesheet">
     <link href="static/css/base.css" rel="stylesheet">
 
@@ -21,11 +21,11 @@
     <link rel="shortcut icon" href="static/ico/favicon.ico">
     <link rel="apple-touch-icon-precomposed" sizes="144x144"
-	  href="static/ico/apple-touch-icon-144-precomposed.png">
+          href="static/ico/apple-touch-icon-144-precomposed.png">
     <link rel="apple-touch-icon-precomposed" sizes="114x114"
-	  href="static/ico/apple-touch-icon-114-precomposed.png">
+          href="static/ico/apple-touch-icon-114-precomposed.png">
     <link rel="apple-touch-icon-precomposed" sizes="72x72"
-	  href="static/ico/apple-touch-icon-72-precomposed.png">
+          href="static/ico/apple-touch-icon-72-precomposed.png">
     <link rel="apple-touch-icon-precomposed"
-	  href="static/ico/apple-touch-icon-57-precomposed.png">
+          href="static/ico/apple-touch-icon-57-precomposed.png">
 
   </head>
@@ -36,5 +36,5 @@
       <div class="navbar-header">
         <button type="button" class="navbar-toggle" data-toggle="collapse"
-		  data-target="#kofa-primary-nav">
+                  data-target="#kofa-primary-nav">
           <span class="icon-bar"></span>
           <span class="icon-bar"></span>
@@ -52,5 +52,5 @@
           <li class="dropdown kofa-langselect">
             <a href="#" class="dropdown-toggle"
-	       data-toggle="dropdown">Language <b class="caret"></b></a>
+               data-toggle="dropdown">Language <b class="caret"></b></a>
             <ul class="dropdown-menu">
               <li class="kofa-language"><a href="#">en</a></li>
@@ -67,5 +67,5 @@
           <li class="nav"><a href="#">Contact</a></li>
           <li class="nav"><a href="#">Logout</a></li>
-	</ul>
+        </ul>
       </div><!--/.nav-collapse -->
     </div><!-- /.navbar -->
@@ -76,12 +76,12 @@
         <ol class="breadcrumb kofa-breadcrumbs">
           <li class="kofa-breadcrumb">
-	    <a href="#">
-	      Home
-	    </a>
+            <a href="#">
+              Home
+            </a>
           </li>
           <li class="kofa-breadcrumb">
-	    <a href="#">
-	      Subtopic
-	    </a>
+            <a href="#">
+              Subtopic
+            </a>
           </li>
         </ol><!-- /kofa-breadcrumbs -->
@@ -93,46 +93,46 @@
 
       <div class="row">
-	<div class="col-md-3 kofa-sidebar">
-	  <div class="sidebar-nav well">
-	    <ul class="nav nav-list">
-	      <li class="nav-header kofa-sidebar-title">Username</li>
-	    </ul>
+        <div class="col-md-3 kofa-sidebar">
+          <div class="sidebar-nav well">
+            <ul class="nav nav-list">
+              <li class="nav-header kofa-sidebar-title">Username</li>
+            </ul>
             <ul class="nav nav-list kofa-sidebar-body">
               <li><a href="#">Portal Configuration</a></li>
-	      <li><a href="#">Portal Users</a></li>
-	      <li><a href="#">Data Center</a></li>
-	      <li><a href="#">Reports</a></li>
-	      <li><a href="#">Access Codes</a></li>
+              <li><a href="#">Portal Users</a></li>
+              <li><a href="#">Data Center</a></li>
+              <li><a href="#">Reports</a></li>
+              <li><a href="#">Access Codes</a></li>
             </ul>
           </div> <!-- /well -->
         </div><!-- /kofa-sidebar -->
-	<div class="col-md-9 content well kofa-content kofa-content-narrow">
+        <div class="col-md-9 content well kofa-content kofa-content-narrow">
 
-	  <div class="hero-unit kofa-content-label-box">
-	    <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
-	    <p class="kofa-content-label-descr">
-	      A sample theme for waeup.kofa</p>
-	  </div>
+          <div class="hero-unit kofa-content-label-box">
+            <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
+            <p class="kofa-content-label-descr">
+              A sample theme for waeup.kofa</p>
+          </div>
 
-	  <p>
-	    Donec id elit non mi porta gravida at eget metus. Fusce
-	    dapibus, tellus ac cursus commodo, tortor mauris
-	    condimentum nibh, ut fermentum massa justo sit amet
-	    risus. Etiam porta sem malesuada magna mollis
-	    euismod. Donec sed odio dui.
-	  </p>
+          <p>
+            Donec id elit non mi porta gravida at eget metus. Fusce
+            dapibus, tellus ac cursus commodo, tortor mauris
+            condimentum nibh, ut fermentum massa justo sit amet
+            risus. Etiam porta sem malesuada magna mollis
+            euismod. Donec sed odio dui.
+          </p>
 
-	  <img src="static/img/bg.png" />
+          <img src="static/img/bg.png" />
 
-	</div>
+        </div>
       </div><!-- /row-fluid -->
 
       <div class="row-fluid">
-	<div class="span12 content well kofa-content kofa-content-wide">
-	  <div class="hero-unit">
-	    <h1>Hello there!</h1>
-	    <p>this is...</p>
-	  </div>
-	  <div>...content that spans the whole page.</div>
+        <div class="span12 content well kofa-content kofa-content-wide">
+          <div class="hero-unit">
+            <h1>Hello there!</h1>
+            <p>this is...</p>
+          </div>
+          <div>...content that spans the whole page.</div>
 
           <div id="#sampleform">
@@ -153,10 +153,10 @@
           </div><!-- /sampleform -->
 
-	</div>
+        </div>
       </div><!-- /row-fluid -->
 
       <div class="footer">
-	<hr />
-	<p class="credit muted text-right">
+        <hr />
+        <p class="credit muted text-right">
           <a href="//waeup.org">&copy; WAeUP Group 2014</a>
         </p>