Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10959)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10960)
@@ -5,17 +5,24 @@
 .breadcrumb {
     background-color: #fff;
-    margin-bottom: 10px;
-    margin-top: 10px;
-    padding-left: 20px;
-    padding-right: 20px;
+    margin-bottom: 0px;
+    margin-top: 0px;
+    padding: 2px 15px;
+}
+
+.kofa-sidebar, .kofa-content-wide,
+.kofa-content-narrow , .kofa-breadcrumbs-box {
+    padding: 0px 5px 0px 5px;
 }
 
 .well {
     background-color: #fff;
+    padding: 5px 5px;
+    margin-bottom: 10px;
 }
 
-.kofa-sidebar .well {
-    padding: 5px;
+.kofa-content-wide .well, .kofa-content-narrow .well {
+    padding: 0px 15px 10px 15px;
 }
+
 
 .kofa-sidebar-title {
@@ -23,7 +30,5 @@
     font-size: 14px;
     color: #555;
-    padding-top: 15px;
-    padding-bottom: 10px;
-    padding-left: 8px;
+    padding: 15px 0px 10px 8px;
 }
 
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10959)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10960)
@@ -41,5 +41,5 @@
           <span class="icon-bar"></span>
         </button>
-        <a class="navbar-brand active kofa-brand-link" href="/">EkoDisco</a>
+        <a class="navbar-brand active kofa-brand-link" href="/">WAeUP.Kofa</a>
       </div>
       <div class="navbar-collapse collapse"
@@ -71,27 +71,27 @@
     </div><!-- /.navbar -->
 
-    <div class="container kofa-breadcrumbs-box">
-      <div class="row">
-
-        <ol class="breadcrumb kofa-breadcrumbs">
-          <li class="kofa-breadcrumb">
-            <a href="#">
-              Home
-            </a>
-          </li>
-          <li class="kofa-breadcrumb">
-            <a href="#">
-              Subtopic
-            </a>
-          </li>
-        </ol><!-- /kofa-breadcrumbs -->
-
-      </div>
-    </div>
-
     <div class="container">
 
       <div class="row">
-        <div class="col-md-3 kofa-sidebar">
+        <div class="col-md-12 container kofa-breadcrumbs-box">
+          <div class="well">
+            <ol class="breadcrumb kofa-breadcrumbs">
+              <li class="kofa-breadcrumb">
+                <a href="#">
+                  Home
+                </a>
+              </li>
+              <li class="kofa-breadcrumb">
+                <a href="#">
+                  Subtopic
+                </a>
+              </li>
+            </ol><!-- /kofa-breadcrumbs -->
+          </div> <!-- /well -->
+        </div> <!-- /kofa-breadcrumbs-box -->
+      </div> <!-- /row -->
+
+      <div class="row">
+        <div class="col-md-2 kofa-sidebar">
           <div class="sidebar-nav well">
             <ul class="nav nav-list">
@@ -106,65 +106,63 @@
             </ul>
           </div> <!-- /well -->
-        </div><!-- /kofa-sidebar -->
-        <div class="col-md-9 content well kofa-content kofa-content-narrow">
+        </div> <!-- /kofa-sidebar -->
+        <div class="col-md-10 content kofa-content kofa-content-narrow">
+          <div class="well">
+            <div class="hero-unit kofa-content-label-box">
+              <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
+              <p class="kofa-content-label-descr">
+                A sample theme for waeup.kofa</p>
+            </div>
+            <p>
+              Donec id elit non mi porta gravida at eget metus. Fusce
+              dapibus, tellus ac cursus commodo, tortor mauris
+              condimentum nibh, ut fermentum massa justo sit amet
+              risus. Etiam porta sem malesuada magna mollis
+              euismod. Donec sed odio dui.
+            </p>
+            <img src="static/img/bg.png" />
+          </div> <!-- /well -->
+        </div> <!-- /kofa-content-narrow -->
+      </div> <!-- /row -->
 
-          <div class="hero-unit kofa-content-label-box">
-            <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
-            <p class="kofa-content-label-descr">
-              A sample theme for waeup.kofa</p>
-          </div>
+      <div class="row">
+        <div class="col-md-12 content kofa-content kofa-content-wide">
+          <div class="well">
+            <div class="hero-unit">
+              <h1>Hello there!</h1>
+              <p>this is...</p>
+            </div>
+            <div>...content that spans the whole page.</div>
+            <div id="#sampleform">
+              <form method="post">
+                <fieldset id="form-fieldset">
+                  <legend>A Sample Form</legend>
+                  <div class="form-field">
+                    <label>Some Label</label>
+                    <input type="text" class="textType"
+                           name="myinput[]" placeholder="A name..." />
+                  </div>
+                  <button type="submit" class="btn rowadd">
+                    Add row
+                  </button>
+                  <br />
+                  <button type="submit" class="btn btn-primary">Save</button>
+                </fieldset>
+              </form>
+            </div> <!-- /sampleform -->
+          </div> <!-- /well -->
+        </div> <!-- /kofa-content-wide -->
+      </div> <!-- /row -->
 
-          <p>
-            Donec id elit non mi porta gravida at eget metus. Fusce
-            dapibus, tellus ac cursus commodo, tortor mauris
-            condimentum nibh, ut fermentum massa justo sit amet
-            risus. Etiam porta sem malesuada magna mollis
-            euismod. Donec sed odio dui.
+      <div class="row">
+        <div class="footer">
+          <hr />
+          <p class="credit muted text-right">
+            <a href="//waeup.org">&copy; WAeUP Group 2014</a>
           </p>
+        </div>
+      </div> <!-- /row -->
 
-          <img src="static/img/bg.png" />
-
-        </div>
-      </div><!-- /row-fluid -->
-
-      <div class="row-fluid">
-        <div class="span12 content well kofa-content kofa-content-wide">
-          <div class="hero-unit">
-            <h1>Hello there!</h1>
-            <p>this is...</p>
-          </div>
-          <div>...content that spans the whole page.</div>
-
-          <div id="#sampleform">
-            <form method="post">
-              <fieldset id="form-fieldset">
-                <legend>A Sample Form</legend>
-                <div class="form-field">
-                  <label>Some Label</label>
-                  <input type="text" class="textType"
-                         name="myinput[]" placeholder="A name..." />
-                </div>
-                <button type="submit" class="btn rowadd">
-                  Add row
-                </button>
-                <br />
-                <button type="submit" class="btn btn-primary">Save</button>
-              </fieldset>
-            </form>
-          </div><!-- /sampleform -->
-
-        </div>
-      </div><!-- /row-fluid -->
-
-      <div class="footer">
-        <hr />
-        <p class="credit muted text-right">
-          <a href="//waeup.org">&copy; WAeUP Group 2014</a>
-        </p>
-      </div>
-
-
-    </div><!-- /container-fluid -->
-
+    </div> <!-- /container -->
 
     <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>