Index: main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 10968)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 10969)
@@ -59,8 +59,6 @@
     <drop css:theme="div.kofa-sidebar"
           css:if-not-content="div.sidebar" />
-    <replace css:theme-children=".kofa-sidebar-title"
-             css:content-children="div.sidebar h5" />
-    <replace css:theme-children=".kofa-sidebar-body"
-             css:content-children="div.sidebar ul" />
+    <replace css:theme-children="div.sidebar-nav"
+             css:content-children="div.well" />
 
     <!-- content -->
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10968)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10969)
@@ -35,5 +35,5 @@
 .well {
     background-color: #fff;
-    padding: 5px 5px;
+    padding: 10px 5px 20px 5px;
     margin-bottom: 10px;
 }
@@ -54,5 +54,5 @@
 
 .sidebar-nav .nav  > li > a {
-    padding: 5px 15px;
+    padding: 3px 15px;
 }
 
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10968)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10969)
@@ -95,12 +95,28 @@
         <div class="col-md-2 kofa-sidebar">
           <div class="sidebar-nav well">
-            <div class="kofa-sidebar-title">Username</div>
-            <ul class="nav kofa-sidebar-body">
-              <li><a href="#">Portal Configuration</a></li>
-              <li><a href="#">Portal Users</a></li>
-              <li><a href="#">Data Center</a></li>
-              <li><a href="#">Reports</a></li>
-              <li><a href="#">Access Codes</a></li>
-            </ul>
+            <div>
+              <div class="kofa-sidebar-title">Student Name</div>
+              <ul class="nav">
+                <li><a href="#">Base Data</a></li>
+                <li><a href="#">Clearance Data</a></li>
+                <li><a href="#">Personal Data</a></li>
+                <li><a href="#">Study Course</a></li>
+                <li><a href="#"">Payments</a></li>
+                <li><a href="#">Accommodation</a></li>
+                <li><a href="#">History</a></li>
+              </ul>
+            </div>
+            <div>
+              <div class="kofa-sidebar-title">Manager Name</div>
+              <ul class="nav">
+                <li><a href="#">Portal Configuration</a></li>
+                <li><a href="#">Portal Users</a></li>
+                <li><a href="#">Data Center</a></li>
+                <li><a href="#">Reports</a></li>
+                <li><a href="#">Access Codes</a></li>
+                <li><a href="#">My Preferences</a></li>
+                <li><a href="#">My Roles</a></li>
+              </ul>
+            </div>
           </div> <!-- /well -->
         </div> <!-- /kofa-sidebar -->
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 10968)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 10969)
@@ -72,18 +72,16 @@
 
     <div class="container-fluid">
-      <div class="sidebar">
-        <div class="well">
+      <div class="sidebar well">
           <div tal:condition="layout/getStudentName">
-            <h5 tal:content="layout/getStudentName">STUDENTNAME</h5>
-            <ul>
+            <div class="kofa-sidebar-title" tal:content="layout/getStudentName">STUDENTNAME</div>
+            <ul class="nav">
               <tal:left content="structure provider:left_studentmanage" />
             </ul>
           </div>
           <div tal:condition="layout/isAuthenticated">
-            <h5 tal:content="layout/getUserTitle">USERNAME</h5>
-            <ul>
+            <div class="kofa-sidebar-title" tal:content="layout/getUserTitle">USERNAME</div>
+            <ul class="nav">
               <tal:left content="structure provider:left_manage" />
             </ul>
-          </div>
         </div>
       </div>