Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10982)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10985)
@@ -113,9 +113,14 @@
     padding: 6px 12px;
     transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
-    width: 100%
+    width: 100%;
+    margin: 0px 4px 0px 0px;
+}
+
+select {
+    width: 50%;
 }
 
 .phone-input {
-    width: 25%
+    width: 30%
 }
 
@@ -125,4 +130,7 @@
 }
 
+.error {
+  color: red;
+}
 
 /* Smartphone styles */
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10982)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10985)
@@ -126,39 +126,41 @@
         </div> <!-- /kofa-sidebar -->
         <div class="col-md-10 content kofa-content-narrow">
-          <div class="well kofa-content ">
-            <div class="actionbar">
-              <a class="btn btn-default" href="">
-                <img src="static/img/actionicon_modify.png"
-                     alt="Manage" />
-                     Manage
-              </a>
-              <a class="btn btn-default" href="">
-                <img src="static/img/actionicon_trigtrans.png"
-                     alt="Trigger transition" />
-                     Trigger transition
-              </a>
-            </div>
-            <div class="alert alert-warning">
-                Be careful ...
-            </div>
-            <div class="alert alert-success">
-                You have successfully ...
-            </div>
-            <div class="alert alert-danger">
-                There were errors ...
-            </div>
-            <div class="hero-unit kofa-content-label-box">
-              <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
-              <p class="kofa-content-label-descr">
-                A sample theme for waeup.kofa</p>
-            </div>
-            <p>
-              Donec id elit non mi porta gravida at eget metus. Fusce
-              dapibus, tellus ac cursus commodo, tortor mauris
-              condimentum nibh, ut fermentum massa justo sit amet
-              risus. Etiam porta sem malesuada magna mollis
-              euismod. Donec sed odio dui.
-            </p>
-            <img src="static/img/bg.png" />
+          <div class="well">
+            <div class="kofa-content">
+              <div class="actionbar">
+                <a class="btn btn-default" href="">
+                  <img src="static/img/actionicon_modify.png"
+                       alt="Manage" />
+                       Manage
+                </a>
+                <a class="btn btn-default" href="">
+                  <img src="static/img/actionicon_trigtrans.png"
+                       alt="Trigger transition" />
+                       Trigger transition
+                </a>
+              </div>
+              <div class="alert alert-warning">
+                  Be careful ...
+              </div>
+              <div class="alert alert-success">
+                  You have successfully ...
+              </div>
+              <div class="alert alert-danger">
+                  There were errors ...
+              </div>
+              <div class="hero-unit kofa-content-label-box">
+                <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
+                <p class="kofa-content-label-descr">
+                  A sample theme for waeup.kofa</p>
+              </div>
+              <p>
+                Donec id elit non mi porta gravida at eget metus. Fusce
+                dapibus, tellus ac cursus commodo, tortor mauris
+                condimentum nibh, ut fermentum massa justo sit amet
+                risus. Etiam porta sem malesuada magna mollis
+                euismod. Donec sed odio dui.
+              </p>
+              <img src="static/img/bg.png" />
+            </div> <!-- /kofa-content -->
           </div> <!-- /well -->
         </div> <!-- /kofa-content-narrow -->
@@ -191,4 +193,8 @@
             </div> <!-- /sampleform -->
           </div> <!-- /well -->
+
+
+
+
         </div> <!-- /kofa-content-wide -->
       </div> <!-- /row -->