Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10987)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10989)
@@ -114,4 +114,8 @@
 }
 
+.form-inline select {
+    width: 100%;
+}
+
 .phone-input {
     width: 30%
@@ -142,4 +146,19 @@
 }
 
+.sorting { background: url('../img/sort_both.png') no-repeat center right; }
+.sorting_asc { background: url('../img/sort_asc.png') no-repeat center right; }
+.sorting_desc { background: url('../img/sort_desc.png') no-repeat center right; }
+
+.sorting_asc_disabled { background: url('../img/sort_asc_disabled.png') no-repeat center right; }
+.sorting_desc_disabled { background: url('../img/sort_desc_disabled.png') no-repeat center right; }
+
+.paginate_enabled_previous { background: url('../img/back_enabled.png') no-repeat top left; }
+.paginate_enabled_previous:hover { background: url('../img/back_enabled_hover.png') no-repeat top left; }
+.paginate_disabled_previous { background: url('../img/back_disabled.png') no-repeat top left; }
+
+.paginate_enabled_next { background: url('../img/forward_enabled.png') no-repeat top right; }
+.paginate_enabled_next:hover { background: url('../img/forward_enabled_hover.png') no-repeat top right; }
+.paginate_disabled_next { background: url('../img /forward_disabled.png') no-repeat top right; }
+
 /* Smartphone styles */
 
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10987)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10989)
@@ -149,7 +149,7 @@
               </div>
               <div class="hero-unit kofa-content-label-box">
-                <h1 class="kofa-content-label-title">waeup.kofa theme</h1>
+                <h1 class="kofa-content-label-title">WAeUP.Kofa Theme</h1>
                 <p class="kofa-content-label-descr">
-                  A sample theme for waeup.kofa</p>
+                  A sample theme for WAeUP.Kofa</p>
               </div>
               <p>
@@ -179,5 +179,5 @@
                 <fieldset id="form-fieldset">
                   <legend>A Sample Form</legend>
-                  <div class="form-group">
+                  <div class="form-group variable-form">
                     <label>Some Label</label>
                     <input type="text" class="textType"
@@ -230,4 +230,36 @@
               </tbody>
             </table>
+
+            <br><br>
+            <h3>A Sample Inline Form</h3>
+            <form method="POST" class="form-inline">
+            <br />
+              <div class="form-group">
+                <input class="btn btn-primary" type="submit" name="search"
+                  value="Find student(s)" />
+              </div>
+              <div class="form-group">
+                <select name="searchtype">
+                  <option value="student_id">with id</option>
+                  <option value="fullname">with name</option>
+                  <option value="reg_number">with registration number</option>
+                  <option value="matric_number">with matriculation number</option>
+                  <option value="current_session">in session</option>
+                  <option value="depcode">in department</option>
+                  <option value="current_mode">in study mode</option>
+                  <option value="suspended">
+                    with deactivated account (search term omitted)
+                  </option>
+                  <option value="transcript">
+                    who requested transcript (search term omitted)
+                  </option>
+                </select>
+              </div>
+              <div class="form-group">
+                <input type="text" class="form-control" name="searchterm" />
+              </div>
+            </form>
+
+
           </div> <!-- /well -->
         </div> <!-- /kofa-content-wide -->
@@ -251,4 +283,5 @@
       });
     </script>
+
     <script type="text/javascript">
       $("button.rowadd").click(function (evt) {
@@ -256,5 +289,5 @@
          evt.preventDefault();
          /* Add first .form-field after last .form-field... */
-         $(".form-group:last").after($(".form-group:first").clone().hide().fadeIn());
+         $(".variable-form:last").after($(".variable-form:first").clone().hide().fadeIn());
       });
     </script>