Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 10999)
@@ -53,5 +53,5 @@
 
 .kofa-content-wide .well, .kofa-content-narrow .well {
-    padding: 0px 20px 10px 20px;
+    padding: 10px 20px 10px 20px;
 }
 
@@ -85,4 +85,5 @@
     margin: 4px;
     font-size: 13px;
+    display: inline;
 }
 
@@ -107,5 +108,5 @@
 }
 
-.form-table td, .input-table td {
+.form-table td {
     padding: 5px 0px 5px 4px;
     border-top: none;
@@ -128,9 +129,17 @@
 }
 
+.form-table td {
+    vertical-align: bottom;
+}
+
+.form-table td.fieldname {
+    vertical-align: top;
+}
+
 select {
     width: 50%;
 }
 
-.ordered-selection-field select {
+.ordered-selection-field select , .inline-selection-field select {
     width: 100%;
 }
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 10999)
@@ -211,4 +211,16 @@
         <div class="col-md-12 content kofa-content-wide">
           <div class="well kofa-content">
+            <div class="actionbar">
+              <a class="btn btn-default" href="">
+                <img src="static/img/actionicon_modify.png"
+                     alt="Manage" />
+                     Manage
+              </a>
+              <a class="btn btn-default" href="">
+                <img src="static/img/actionicon_trigtrans.png"
+                     alt="Trigger transition" />
+                     Trigger transition
+              </a>
+            </div>
             <div class="hero-unit">
               <h1>Hello there!</h1>
@@ -333,5 +345,5 @@
                 <tr>
                   <td class="fieldname">
-                    Application Mode:
+                    Application Mode (Donec id elit non mi porta gravida at eget metus.):
                   </td>
                   <td>
@@ -383,5 +395,5 @@
                   <td class="fieldname">
                     <span>*</span>
-                    <span>Application Mode</span>:
+                    <span>Application Mode (Donec id elit non mi porta gravida at eget metus.)</span>:
                   </td>
                   <td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/layout.py	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/layout.py	(revision 10999)
@@ -100,4 +100,10 @@
     msg = _('\'Are you sure?\'')
 
+    def __init__(self, label, style='', **options):
+        super(JSAction, self).__init__(label, **options)
+        self.style = style
+        if style == '':
+            self.style = 'default'
+
     def render(self):
         if not self.available():
@@ -108,6 +114,7 @@
         msg = translate(self.msg, context=self.form.request)
         return ('<input type="submit" id="%s" name="%s" value="%s"'
-                ' class="btn" onclick="return confirmPost(%s)" />' %
-                (self.__name__, self.__name__, escape(label, quote=True), msg)
+                ' class="btn btn-%s" onclick="return confirmPost(%s)" />' %
+                (self.__name__, self.__name__, escape(label, quote=True),
+                 self.style, msg)
                 )
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 10999)
@@ -35,5 +35,5 @@
         <span i18n:domain="waeup.kofa" i18n:translate="">Courses</span>
       </h3>
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -48,5 +48,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="cc context/values" class="gradeC">
+          <tr tal:repeat="cc context/values">
             <td>
               <input type="checkbox" name="val_id"
@@ -94,5 +94,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -108,5 +108,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC"> <td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
             <input type="checkbox" name="role_id"
                    tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
@@ -122,30 +122,34 @@
                  tal:replace="structure action/render"/>
         </span>
-        </div><br /><br />
-        <table class="form-table">
-          <tr> <td>
-            <select id="user" name="user">
-              <option tal:repeat="user view/getUsers"
-                      tal:attributes="value user/name">
-                <span tal:replace="user/val/title">USERTITLE
-                </span>
-              </option>
-              </select> </td> <td>
-              <select id="local_role" name="local_role">
-                <option tal:repeat="localrole view/getLocalRoles"
-                        tal:attributes="value localrole/name">
-                  <span tal:replace="localrole/title">LOCALROLETITLE
-                  </span>
-                </option>
-                </select> </td> <td>
-                <div tal:condition="view/availableActions">
-                  <span tal:repeat="action view/actions" tal:omit-tag="">
-                    <input tal:condition="python:action.label in view.tabthreeactions2"
-                           tal:replace="structure action/render"/>
-                  </span>
-                </div>
-              </td>
-          </tr>
-        </table>
+      </div><br /><br />
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
+          <select id="user" name="user">
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <select id="local_role" name="local_role">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <div tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions" tal:omit-tag="">
+              <input tal:condition="python:action.label in view.tabthreeactions2"
+                     tal:replace="structure action/render"/>
+            </span>
+          </div>
+        </div>
+      </div>
     </div>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 10999)
@@ -23,5 +23,5 @@
 </h3>
 <br />
-<table i18n:domain="waeup.kofa" class="display dataTable">
+<table i18n:domain="waeup.kofa" class="dataTable">
 <thead>
   <tr>
@@ -35,5 +35,5 @@
 </thead>
 <tbody>
-  <tr tal:repeat="cc context/values" class="gradeC">
+  <tr tal:repeat="cc context/values">
      <td>
       <span tal:content="cc/level">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt	(revision 10999)
@@ -27,5 +27,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -37,6 +37,6 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getSessionConfigurations"
-              class="gradeC"> <td>
+          <tr tal:repeat="entry view/getSessionConfigurations">
+            <td>
             <input type="checkbox" name="val_id"
                    tal:attributes="value entry/name" /> </td> <td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 10999)
@@ -28,5 +28,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -42,5 +42,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC"> <td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
             <input type="checkbox" name="role_id"
                    tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
@@ -56,29 +56,34 @@
                  tal:replace="structure action/render"/>
         </span>
-        </div><br /><br />
-        <table class="form-table">
-          <tr> <td>
-            <select id="user" name="user">
-              <option tal:repeat="user view/getUsers"
-                      tal:attributes="value user/name">
-                <span tal:replace="user/val/title">USERTITLE
+      </div><br /><br />
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
+          <select id="user" name="user">
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <select id="local_role" name="local_role">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <div tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions" tal:omit-tag="">
+                  <input tal:condition="python:action.label in view.tabtwoactions2"
+                         tal:replace="structure action/render"/>
                 </span>
-              </option>
-              </select> </td> <td>
-              <select id="local_role" name="local_role">
-                <option tal:repeat="localrole view/getLocalRoles"
-                        tal:attributes="value localrole/name">
-                  <span tal:replace="localrole/title">LOCALROLETITLE
-                  </span>
-                </option>
-                </select> </td> <td>
-                <div tal:condition="view/availableActions">
-                  <span tal:repeat="action view/actions" tal:omit-tag="">
-                    <input tal:condition="python:action.label in view.tabtwoactions2"
-                           tal:replace="structure action/render"/>
-                  </span>
-                </div> </td>
-          </tr>
-        </table>
+          </div>
+        </div>
+      </div>
     </div>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 10999)
@@ -4,5 +4,5 @@
   imports. The files contain the imported datasets.
 </p>
-<table i18n:domain="waeup.kofa" class="display dataTableFiles">
+<table i18n:domain="waeup.kofa" class="dataTableFiles">
   <thead>
     <tr>
@@ -13,5 +13,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="file context/getFinishedFiles" class="gradeC">
+    <tr tal:repeat="file context/getFinishedFiles">
       <td><a tal:attributes="href python: 'download?filename=' + file.rel_path"
              tal:content="file/name">FILENAME</a></td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 10999)
@@ -11,5 +11,5 @@
 <form action="." tal:attributes="action request/URL" method="post"
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
-    <table i18n:domain="waeup.kofa" class="display dataTableManageFiles">
+    <table i18n:domain="waeup.kofa" class="dataTableManageFiles">
       <thead>
         <tr>
@@ -21,5 +21,5 @@
       </thead>
       <tbody>
-        <tr tal:repeat="file context/getPendingFiles" class="gradeC">
+        <tr tal:repeat="file context/getPendingFiles">
           <td>
             <input type="checkbox" name="val_id"
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 10999)
@@ -32,5 +32,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -44,5 +44,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getCourses" class="gradeC"> <td>
+          <tr tal:repeat="entry view/getCourses"> <td>
             <input type="checkbox" name="val_id"
                    tal:attributes="value entry/name" /> </td> <td>
@@ -62,5 +62,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -74,5 +74,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getCertificates" class="gradeC"> <td>
+          <tr tal:repeat="entry view/getCertificates"> <td>
             <input type="checkbox" name="val_id"
                    tal:attributes="value entry/name" /> </td> <td>
@@ -91,5 +91,5 @@
     </div>
     <div id="tab4" class="tab-pane"> <br />
-    <table class="display dataTableManage">
+    <table class="dataTableManage">
       <thead>
         <tr>
@@ -105,5 +105,5 @@
       </thead>
       <tbody>
-        <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">
+        <tr tal:repeat="entry view/getUsersWithLocalRoles">
           <td> <input type="checkbox" name="role_id"
           tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
@@ -114,34 +114,39 @@
       </tbody>
     </table>
-    <div tal:condition="view/availableActions">
-      <span tal:repeat="action view/actions" tal:omit-tag="">
-        <input tal:condition="python:action.label in view.tabfouractions1"
-               tal:replace="structure action/render"/>
-      </span>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions" tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabfouractions1"
+                 tal:replace="structure action/render"/>
+        </span>
       </div> <br /><br />
-      <table class="form-table">
-        <tr> <td>
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
           <select id="user" name="user">
-            <option tal:attributes="value user/name" tal:repeat="user view/getUsers">
-              <span tal:replace="user/val/title">USERTITLE
-              </span>
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
             </option>
-            </select> </td> <td>
-            <select id="local_role" name="local_role">
-              <option tal:attributes="value localrole/name"
-                      tal:repeat="localrole view/getLocalRoles">
-                <span tal:replace="localrole/title">LOCALROLETITLE
-                </span>
-              </option>
-              </select> </td> <td>
-              <div tal:condition="view/availableActions">
-                <span tal:repeat="action view/actions" tal:omit-tag="">
-                  <input tal:condition="python:action.label in view.tabfouractions2"
-                         tal:replace="structure action/render"/>
-                </span>
-              </div>
-            </td>
-        </tr>
-      </table>
+          </select>
+        </div>
+        <div class="form-group">
+          <select id="local_role" name="local_role">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <div tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions" tal:omit-tag="">
+              <input tal:condition="python:action.label in view.tabfouractions2"
+                     tal:replace="structure action/render"/>
+            </span>
+          </div>
+        </div>
+      </div>
     </div>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt	(revision 10999)
@@ -10,5 +10,5 @@
   <div id="tab1" class="active tab-pane">
     <br />
-    <table class="display dataTable">
+    <table class="dataTable">
       <thead>
         <tr>
@@ -18,5 +18,5 @@
       </thead>
       <tbody>
-        <tr tal:repeat="entry view/getCourses" class="gradeC">
+        <tr tal:repeat="entry view/getCourses">
           <td>
             <a href=""
@@ -33,5 +33,5 @@
   <div id="tab2" class="tab-pane">
     <br />
-    <table class="display dataTable">
+    <table class="dataTable">
       <thead>
         <tr>
@@ -41,5 +41,5 @@
       </thead>
       <tbody>
-        <tr tal:repeat="entry view/getCertificates" class="gradeC">
+        <tr tal:repeat="entry view/getCertificates">
           <td>
             <a href=""
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultiescontainermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultiescontainermanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultiescontainermanagepage.pt	(revision 10999)
@@ -2,5 +2,5 @@
       enctype="multipart/form-data">
 
-  <table>
+  <table class="table table-hover">
     <thead>
       <tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 10999)
@@ -34,5 +34,5 @@
     <div id="tab2" class="tab-pane">
       <h3 tal:content="view/subunits">DEPARTMENTS</h3>
-      <table>
+      <table class="table table-hover">
         <thead>
           <tr>
@@ -64,5 +64,5 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <table class="display dataTableManage">
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -78,5 +78,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">
+          <tr tal:repeat="entry view/getUsersWithLocalRoles">
             <td>
               <input type="checkbox" name="role_id"
@@ -94,29 +94,32 @@
         </span>
       </div><br /><br />
-      <table class="form-table">
-        <tr> <td>
-            <select id="user" name="user">
-              <option tal:repeat="user view/getUsers"
-                      tal:attributes="value user/name">
-              <span tal:replace="user/val/title">USERTITLE
-              </span>
-              </option>
-            </select> </td> <td>
-            <select id="local_role" name="local_role">
-              <option tal:repeat="localrole view/getLocalRoles"
-                      tal:attributes="value localrole/name">
-              <span tal:replace="localrole/title">LOCALROLETITLE
-              </span>
-              </option>
-            </select> </td> <td>
-            <div tal:condition="view/availableActions">
-              <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabthreeactions2"
-                       tal:replace="structure action/render"/>
-              </span>
-            </div>
-          </td>
-        </tr>
-      </table>
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
+          <select id="user" name="user">
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <select id="local_role" name="local_role">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group" tal:condition="view/availableActions">
+          <span tal:repeat="action view/actions" tal:omit-tag="">
+            <input tal:condition="python:action.label in view.tabthreeactions2"
+                   tal:replace="structure action/render"/>
+          </span>
+        </div>
+      </div>
+
     </div>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultypage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultypage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultypage.pt	(revision 10999)
@@ -3,5 +3,5 @@
 </div>
 
-<table i18n:domain="waeup.kofa">
+<table class="table table-hover" i18n:domain="waeup.kofa">
   <thead>
     <tr>
@@ -12,5 +12,5 @@
   <tbody>
     <tr tal:repeat="value context/values">
-      <td> <a tal:attributes="href value/__name__">
+      <td> <a tal:attributes="href python: view.url(value)">
           <span tal:content="value/code">Name</span></a></td>
       <td tal:content="value/longtitle">Title</td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 10999)
@@ -20,5 +20,5 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="display dataTable">
+    <table class="dataTable">
       <thead>
       <tr>
@@ -31,5 +31,5 @@
       </thead>
       <tbody>
-      <tr tal:repeat="item view/hitlist" class="gradeC">
+      <tr tal:repeat="item view/hitlist">
         <td> <a tal:attributes="href item/url">
           <span tal:content="item/student_id">A123456</span></a>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 10999)
@@ -1,12 +1,17 @@
-<form method="post">
-  <input type="text" name="query"
-	 tal:attributes="value view/query" />
-    <input class="btn primary" type="submit" name="SUBMIT"
+<form method="POST" class="form-inline">
+<br />
+  <div class="form-group">
+      <input type="text" name="query" class="form-control"
+    	 tal:attributes="value view/query" />
+  </div>
+  <div class="form-group">
+    <input class="btn btn-primary" type="submit" name="SUBMIT"
       tal:attributes="value view/search_button"/>
+  </div>
 </form>
 <br />
 <span  i18n:domain="waeup.kofa" tal:condition="view/hitlist">
     <h3 i18n:translate="">Search Results</h3>
-    <table class="display dataTable">
+    <table class="dataTable">
         <thead>
             <tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 10996)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 10999)
@@ -1,3 +1,3 @@
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table">
   <thead>
     <tr>
@@ -38,5 +38,5 @@
         </a>
         <form method="POST">
-          <a href="" class="btn primary small"
+          <a href="" class="btn btn-primary btn-xs"
                  tal:attributes="href job/download_url"
                  tal:condition="job/show_download_button">
@@ -45,5 +45,5 @@
           <input type="hidden" name="job_id"
                  tal:attributes="value job/job" />
-          <input type="submit" class="btn small"
+          <input type="submit" class="btn btn-default btn-xs"
                  name="DISCARD" value="Discard"
                  tal:condition="job/show_discard_button" />
@@ -57,5 +57,5 @@
 
   </div>
-  <input class="btn primary" type="submit" name="CREATE"
+  <input class="btn btn-primary" type="submit" name="CREATE"
          value="Configure new export"
           />