Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11001)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11002)
@@ -1,60 +1,60 @@
-<table i18n:domain="waeup.kofa" class="table">
-  <thead>
-    <tr>
-      <th i18n:translate="">Export Number</th>
-      <th i18n:translate="">Exporter</th>
-      <th i18n:translate="">Filter</th>
-      <th i18n:translate="">Creator</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Status</th>
-      <th>&nbsp;</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="job view/entries">
-      <td>
-        <span tal:replace="job/job">12</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/exporter">EXPORTER</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/args">ARGS</span>
-      </td>
-      <td>
-        <span tal:replace="job/creator">CREATOR</span>
-      </td>
-      <td nowrap>
-        <span tal:replace="job/start_time">DATETIME</span>
-      </td>
-      <td>
-        <span tal:replace="job/status">STATUS</span>
-      </td>
-      <td nowrap>
-        <a href="" class="btn" i18n:translate=""
-           tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
-          Reload
-        </a>
-        <form method="POST">
-          <a href="" class="btn btn-primary btn-xs"
-                 tal:attributes="href job/download_url"
-                 tal:condition="job/show_download_button">
-            Download</a>
+<div class=" table-responsive">
+  <table i18n:domain="waeup.kofa" class="table">
+    <thead>
+      <tr>
+        <th i18n:translate="">Export Number</th>
+        <th i18n:translate="">Exporter</th>
+        <th i18n:translate="">Filter</th>
+        <th i18n:translate="">Creator</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Status</th>
+        <th>&nbsp;</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="job view/entries">
+        <td>
+          <span tal:replace="job/job">12</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/exporter">EXPORTER</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/args">ARGS</span>
+        </td>
+        <td>
+          <span tal:replace="job/creator">CREATOR</span>
+        </td>
+        <td nowrap>
+          <span tal:replace="job/start_time">DATETIME</span>
+        </td>
+        <td>
+          <span tal:replace="job/status">STATUS</span>
+        </td>
+        <td nowrap>
+          <a href="" class="btn btn-default" i18n:translate=""
+             tal:condition="job/show_refresh_button">
+            <img tal:attributes="src static/actionicon_reload.png" />
+            Reload
+          </a>
+          <form method="POST">
+            <a href="" class="btn btn-primary btn-xs"
+                   tal:attributes="href job/download_url"
+                   tal:condition="job/show_download_button">
+              Download</a>
 
-          <input type="hidden" name="job_id"
-                 tal:attributes="value job/job" />
-          <input type="submit" class="btn btn-default btn-xs"
-                 name="DISCARD" value="Discard"
-                 tal:condition="job/show_discard_button" />
-        </form>
-      </td>
-    </tr>
-  </tbody>
-</table>
+            <input type="hidden" name="job_id"
+                   tal:attributes="value job/job" />
+            <input type="submit" class="btn btn-default btn-xs"
+                   name="DISCARD" value="Discard"
+                   tal:condition="job/show_discard_button" />
+          </form>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>
+
 <form method="POST" i18n:domain="waeup.kofa">
-  <div class="span12">
-
-  </div>
   <input class="btn btn-primary" type="submit" name="CREATE"
          value="Configure new export"