Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11002)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11003)
@@ -1,50 +1,54 @@
-<form method="POST" i18n:domain="waeup.kofa">
+<form method="POST" i18n:domain="waeup.kofa" class="form-inline">
 <br />
-  <input class="btn primary" type="submit" name="search"
-    tal:attributes="value view/search_button" />
-
-  <select name="searchtype">
-    <option i18n:translate="" value="student_id">with id</option>
-    <option i18n:translate="" value="fullname">with name</option>
-    <option i18n:translate="" value="reg_number">with registration number</option>
-    <option i18n:translate="" value="matric_number">with matriculation number</option>
-  </select>
-
-  <input type="text" name="searchterm" />
-
-  <p>&nbsp;</p>
-  <div tal:condition="view/hitlist">
-    <h3 i18n:translate="">Search Results</h3>
-    <input type="hidden" name="old_searchterm"
-         tal:attributes="value view/searchterm" />
-    <input type="hidden" name="old_searchtype"
-         tal:attributes="value view/searchtype" />
-    <table class="dataTable">
-      <thead>
-      <tr>
-        <th i18n:translate="">Student Id</th>
-        <th i18n:translate="">Reg. Number</th>
-        <th i18n:translate="">Matric. Number</th>
-        <th i18n:translate="">State</th>
-        <th i18n:translate="">Full Name</th>
-      </tr>
-      </thead>
-      <tbody>
-      <tr tal:repeat="item view/hitlist">
-        <td> <a tal:attributes="href item/url">
-          <span tal:content="item/student_id">A123456</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/reg_number">9999999</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/matric_number">9999999</span></a>
-        </td>
-        <td tal:content="item/state">admitted</td>
-        <td tal:content="item/display_fullname">Bob</td>
-      </tr>
-      </tbody>
-    </table>
-    <br />
+  <div class="form-group">
+    <input class="btn btn-primary" type="submit" name="search"
+      tal:attributes="value view/search_button" />
+  </div>
+  <div class="form-group">
+    <select name="searchtype">
+      <option i18n:translate="" value="student_id">with id</option>
+      <option i18n:translate="" value="fullname">with name</option>
+      <option i18n:translate="" value="reg_number">with registration number</option>
+      <option i18n:translate="" value="matric_number">with matriculation number</option>
+    </select>
+  </div>
+  <div class="form-group">
+    <input type="text" class="form-control" name="searchterm" />
   </div>
 </form>
+
+<p>&nbsp;</p>
+<div tal:condition="view/hitlist">
+  <h3 i18n:translate="">Search Results</h3>
+  <input type="hidden" name="old_searchterm"
+       tal:attributes="value view/searchterm" />
+  <input type="hidden" name="old_searchtype"
+       tal:attributes="value view/searchtype" />
+  <table class="dataTable">
+    <thead>
+    <tr>
+      <th i18n:translate="">Student Id</th>
+      <th i18n:translate="">Reg. Number</th>
+      <th i18n:translate="">Matric. Number</th>
+      <th i18n:translate="">State</th>
+      <th i18n:translate="">Full Name</th>
+    </tr>
+    </thead>
+    <tbody>
+    <tr tal:repeat="item view/hitlist">
+      <td> <a tal:attributes="href item/url">
+        <span tal:content="item/student_id">A123456</span></a>
+      </td>
+      <td class="center"> <a tal:attributes="href item/url">
+        <span tal:content="item/reg_number">9999999</span></a>
+      </td>
+      <td class="center"> <a tal:attributes="href item/url">
+        <span tal:content="item/matric_number">9999999</span></a>
+      </td>
+      <td tal:content="item/state">admitted</td>
+      <td tal:content="item/display_fullname">Bob</td>
+    </tr>
+    </tbody>
+  </table>
+  <br />
+</div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/frontpage.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/frontpage.html	(revision 11002)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/frontpage.html	(revision 11003)
@@ -1,8 +1,8 @@
 <h1>Welcome to WAeUP.Kofa
 <br>
-<small>
+<p class="kofa-content-desc">
 the Information and Registration Portal
 for Schools, Colleges and Universities
-</small>
+</p>
 </h1>
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11002)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11003)
@@ -26,38 +26,38 @@
   </div>
 </form>
-  <p>&nbsp;</p>
-  <div tal:condition="view/hitlist">
-    <h3 i18n:translate="">Search Results</h3>
-    <input type="hidden" name="old_searchterm"
-         tal:attributes="value view/searchterm" />
-    <input type="hidden" name="old_searchtype"
-         tal:attributes="value view/searchtype" />
-    <table class="table table-striped dataTable">
-      <thead>
-      <tr>
-        <th i18n:translate="">Student Id</th>
-        <th i18n:translate="">Reg. Number</th>
-        <th i18n:translate="">Matric. Number</th>
-        <th i18n:translate="">State</th>
-        <th i18n:translate="">Full Name</th>
-      </tr>
-      </thead>
-      <tbody>
-      <tr tal:repeat="item view/hitlist">
-        <td> <a tal:attributes="href item/url">
-          <span tal:content="item/student_id">A123456</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/reg_number">9999999</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/matric_number">9999999</span></a>
-        </td>
-        <td tal:content="item/state">admitted</td>
-        <td tal:content="item/display_fullname">Bob</td>
-      </tr>
-      </tbody>
-    </table>
-    <br />
-  </div>
+<p>&nbsp;</p>
+<div tal:condition="view/hitlist">
+  <h3 i18n:translate="">Search Results</h3>
+  <input type="hidden" name="old_searchterm"
+       tal:attributes="value view/searchterm" />
+  <input type="hidden" name="old_searchtype"
+       tal:attributes="value view/searchtype" />
+  <table class="table table-striped dataTable">
+    <thead>
+    <tr>
+      <th i18n:translate="">Student Id</th>
+      <th i18n:translate="">Reg. Number</th>
+      <th i18n:translate="">Matric. Number</th>
+      <th i18n:translate="">State</th>
+      <th i18n:translate="">Full Name</th>
+    </tr>
+    </thead>
+    <tbody>
+    <tr tal:repeat="item view/hitlist">
+      <td> <a tal:attributes="href item/url">
+        <span tal:content="item/student_id">A123456</span></a>
+      </td>
+      <td class="center"> <a tal:attributes="href item/url">
+        <span tal:content="item/reg_number">9999999</span></a>
+      </td>
+      <td class="center"> <a tal:attributes="href item/url">
+        <span tal:content="item/matric_number">9999999</span></a>
+      </td>
+      <td tal:content="item/state">admitted</td>
+      <td tal:content="item/display_fullname">Bob</td>
+    </tr>
+    </tbody>
+  </table>
+  <br />
+</div>
 