Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11005)
@@ -87,4 +87,10 @@
     display: inline;
 }
+
+.table-condensed .btn {
+    margin: 0px;
+    font-size: 12px;
+}
+
 
 /* Content actionbar */
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11005)
@@ -1179,5 +1179,5 @@
     label = _(u'Process CSV file')
     pnav = 0
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def getFiles(self):
@@ -1191,5 +1191,4 @@
     def update(self, filename=None, select=None, cancel=None):
         if cancel is not None:
-            self.flash(_('Import aborted.'))
             self.redirect(self.url(self.context))
             return
@@ -1504,5 +1503,5 @@
     pnav = 0
     search_button = _('Search')
-    back_button = _('Back')
+    back_button = _('Back to Data Center')
     placeholder = _('Enter a regular expression here...')
 
@@ -1543,5 +1542,5 @@
     save_button =_(u'Save')
     reset_button =_(u'Reset')
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def update(self, newpath=None, move=False, overwrite=False,
@@ -1562,6 +1561,6 @@
                     mapping = {'a':name}))
         except:
-            self.flash(_('Given storage path cannot be used.'))
-            self.flash(_('Error: ${a}', mapping = {'a':sys.exc_info()[1]}))
+            self.flash(_('Given storage path cannot be used. ${a}',
+                        mapping = {'a':sys.exc_info()[1]}), type='danger')
             return
         if newpath:
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterimport1page.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterimport1page.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterimport1page.pt	(revision 11005)
@@ -8,27 +8,29 @@
 </p>
 <form i18n:domain="waeup.kofa" method="POST">
-  <table>
-    <thead>
-      <th />
-      <th i18n:translate="">Filename</th>
-      <th i18n:translate="">Datasets</th>
-      <th i18n:translate="">Size</th>
-      <th i18n:translate="">Date</th>
-    </thead>
-    <tbody>
-      <tr tal:repeat="file view/getFiles">
-        <td>
-          <button i18n:translate=""
-            type="submit" name="select" class="btn primary"
-            tal:attributes="value file/name">Select</button>
-        </td>
-        <td tal:content="file/name">Filename.csv</td>
-        <td tal:content="python: file.lines - 1">12</td>
-        <td tal:content="file/size">123 Bytes</td>
-        <td tal:content="file/getDate">1.1.1970</td>
-      </tr>
-    </tbody>
-  </table>
-  <input type="submit" name="cancel" class="btn"
+  <div class="table-responsive">
+    <table class="table">
+      <thead>
+        <th />
+        <th i18n:translate="">Filename</th>
+        <th i18n:translate="">Datasets</th>
+        <th i18n:translate="">Size</th>
+        <th i18n:translate="">Date</th>
+      </thead>
+      <tbody>
+        <tr tal:repeat="file view/getFiles">
+          <td>
+            <button i18n:translate=""
+              type="submit" name="select" class="btn btn-primary"
+              tal:attributes="value file/name">Select</button>
+          </td>
+          <td tal:content="file/name">Filename.csv</td>
+          <td tal:content="python: file.lines - 1">12</td>
+          <td tal:content="file/size">123 Bytes</td>
+          <td tal:content="file/getDate">1.1.1970</td>
+        </tr>
+      </tbody>
+    </table>
+  </div>
+  <input type="submit" name="cancel" class="btn btn-default"
       tal:attributes="value view/cancel_button" />
 </form>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogspage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 11005)
@@ -3,5 +3,5 @@
   Currently no log files are available.
   </p>
-  <table tal:condition="files" class="table condensed-table">
+  <table tal:condition="files" class="table">
     <thead>
       <tr>
@@ -17,12 +17,11 @@
     </thead>
     <tbody>
-      <tr tal:repeat="file files"
-          tal:attributes="class python: repeat['file'].odd() and 'odd' or 'even'">
-        <td class="text-center">
+      <tr tal:repeat="file files">
+        <td>
           <form method="POST" action="@@show">
-            <input i18n:translate="" type="submit" class="btn primary"
-		   name="show" tal:attributes="value view/show_button" />
+            <input i18n:translate="" type="submit" class="btn btn-primary"
+                   name="show" tal:attributes="value view/show_button" />
             <input type="hidden" name="logname"
-		   tal:attributes="value file/name" />
+                   tal:attributes="value file/name" />
           </form></td>
         <td tal:content="file/name">file.name</td>
@@ -33,8 +32,5 @@
   </table>
   <form method="POST">
-    <button class="btn primary">
-      <span i18n:translate="">Reload page</span>
-    </button>
-    <input i18n:translate="" type="submit" class="btn" name="back"
+    <input i18n:translate="" type="submit" class="btn btn-default" name="back"
         tal:attributes="value view/back_button"/>
   </form>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 11005)
@@ -1,8 +1,8 @@
 <form method="post" class="form-horizontal">
-  <input type="text" name="query"
+  <input type="text" name="query" class="form-control"
 	 tal:attributes="value view/query; placeholder view/placeholder" />
-  <input class="btn primary" type="submit" name="search"
+  <input class="btn btn-primary" type="submit" name="search"
 	 tal:attributes="value view/search_button" />
-  <input class="btn" type="submit" name="back"
+  <input class="btn btn-default" type="submit" name="back"
 	 tal:attributes="value view/back_button" />
   <input type="hidden" name="logname"
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacentermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacentermanagepage.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacentermanagepage.pt	(revision 11005)
@@ -1,24 +1,30 @@
 <form  i18n:domain="waeup.kofa" method="POST">
-  <div>
-    <span  i18n:translate="">Storage path:</span>
-    <input type="text" name="newpath"
-     tal:attributes="value context/storage" />
-    <br /><br />
-    <span  i18n:translate="">
-    Copy existing data to new storage?
-    </span>&nbsp;&nbsp;
-    <input type="checkbox" name="move" checked="checked" />
-    <br /><br />
-    <span  i18n:translate="">
-    Overwrite contents in new location?
-    </span>&nbsp;&nbsp;
-    <input type="checkbox" name="overwrite" checked="no" />
-    <br /><br />
-    <input class="btn primary" type="submit" name="save"
-        tal:attributes="value view/save_button" />
-    <input class="btn" type="reset" name="reset"
-        tal:attributes="value view/reset_button" />
-    <input class="btn" type="submit" name="cancel"
-        tal:attributes="value view/cancel_button" />
+
+  <br />
+  <div class="form-group">
+    <label i18n:translate="">Storage path</label>
+        <input type="text" name="newpath" class="form-control"
+               tal:attributes="value context/storage" />
   </div>
+
+  <div class="checkbox">
+    <label>
+      <input type="checkbox" name="move"  checked="checked">
+      Copy existing data to new storage?
+    </label>
+  </div>
+
+  <div class="checkbox">
+    <label>
+      <input type="checkbox" name="overwrite">
+      Overwrite contents in new location?
+    </label>
+  </div>
+
+  <input class="btn btn-primary" type="submit" name="save"
+      tal:attributes="value view/save_button" />
+  <input class="btn btn-default" type="reset" name="reset"
+      tal:attributes="value view/reset_button" />
+  <input class="btn btn-default" type="submit" name="cancel"
+      tal:attributes="value view/cancel_button" />
 </form>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 11005)
@@ -46,7 +46,7 @@
     <tr>
       <td>
-        <input class="btn primary" type="submit" name="SUBMIT"
+        <input class="btn btn-primary" type="submit" name="SUBMIT"
             tal:attributes="value view/upload_button" />
-        <input class="btn" type="submit" name="CANCEL"
+        <input class="btn btn-default" type="submit" name="CANCEL"
             tal:attributes="value view/cancel_button"/>
       </td>
@@ -67,51 +67,54 @@
 <h2 i18n:translate="">Available Processors (Importers)</h2>
 
-<table i18n:domain="waeup.kofa">
-  <thead>
-    <tr>
-      <th i18n:translate="">Processor</th>
-      <th i18n:translate="">Required Schema Fields</th>
-      <th i18n:translate="">Optional Schema Fields</th>
-      <th i18n:translate="">Non-Schema Fields</th>
-      <th i18n:translate="">CSV Skeleton File</th>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="table table-condensed">
+    <thead>
+      <tr>
+        <th i18n:translate="">Processor</th>
+        <th i18n:translate="">Required Schema Fields</th>
+        <th i18n:translate="">Optional Schema Fields</th>
+        <th i18n:translate="">Non-Schema Fields</th>
+      </tr>
+    </thead>
+    <tr tal:repeat="importer view/getImporters">
+      <td>
+        <span tal:content="importer/title">TITLE</span><br /><br />
+        <a i18n:translate="" class="btn btn-primary btn-xs"
+           tal:attributes="href python: 'skeleton?name=' + importer['name']">
+           Download CSV Skeleton File
+        </a>
+      </td>
+      <td nowrap>
+        <span tal:repeat="field importer/fields">
+            <tal:schemafield condition="field/f_type">
+              <tal:required condition="field/f_required">
+                <span tal:replace="field/f_name"></span>
+                (<span tal:replace="field/f_type"></span>)
+                <br />
+              </tal:required>
+            </tal:schemafield>
+        </span>
+      </td>
+      <td nowrap>
+        <span tal:repeat="field importer/fields">
+            <tal:schemafield condition="field/f_type">
+              <tal:notrequired condition="not:field/f_required">
+                <span tal:replace="field/f_name"></span>
+                (<span tal:replace="field/f_type"></span>)
+                <br />
+              </tal:notrequired>
+            </tal:schemafield>
+        </span>
+      </td>
+      <td>
+        <span tal:repeat="field importer/fields">
+            <tal:extrafield condition="not:field/f_type">
+              <span tal:replace="field/f_name"></span>
+              <br />
+            </tal:extrafield>
+        </span>
+      </td>
+
     </tr>
-  </thead>
-  <tr tal:repeat="importer view/getImporters">
-    <td tal:content="importer/title"></td>
-    <td nowrap>
-      <span tal:repeat="field importer/fields">
-          <tal:schemafield condition="field/f_type">
-            <tal:required condition="field/f_required">
-              <span tal:replace="field/f_name"></span>
-              (<span tal:replace="field/f_type"></span>)
-              <br />
-            </tal:required>
-          </tal:schemafield>
-      </span>
-    </td>
-    <td nowrap>
-      <span tal:repeat="field importer/fields">
-          <tal:schemafield condition="field/f_type">
-            <tal:notrequired condition="not:field/f_required">
-              <span tal:replace="field/f_name"></span>
-              (<span tal:replace="field/f_type"></span>)
-              <br />
-            </tal:notrequired>
-          </tal:schemafield>
-      </span>
-    </td>
-    <td>
-      <span tal:repeat="field importer/fields">
-          <tal:extrafield condition="not:field/f_type">
-            <span tal:replace="field/f_name"></span>
-            <br />
-          </tal:extrafield>
-      </span>
-    </td>
-
-    <td>
-      <a i18n:translate=""
-         tal:attributes="href python: 'skeleton?name=' + importer['name']">Download</a>
-    </td>
-  </tr>
-</table>
+  </table>
+</div>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11004)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11005)
@@ -1,3 +1,3 @@
-<div class=" table-responsive">
+<div class="table-responsive">
   <table i18n:domain="waeup.kofa" class="table">
     <thead>