Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11005)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11006)
@@ -52,5 +52,5 @@
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 from waeup.kofa.browser.resources import (
-    warning, tabs, datatable)
+    warning, tabs)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.interfaces import(
@@ -530,5 +530,4 @@
 
     def update(self, userid=None, adduser=None, manage=None, delete=None):
-        datatable.need()
         if manage is not None and userid is not None:
             self.redirect(self.url(userid) + '/@@manage')
@@ -746,5 +745,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
         self.hitlist = []
@@ -791,5 +789,4 @@
 
     def update(self):
-        datatable.need()
         warning.need()
         return super(ConfigurationContainerManageFormPage, self).update()
@@ -903,5 +900,4 @@
 
     def update(self):
-        datatable.need()
         warning.need()
         return super(DatacenterPage, self).update()
@@ -940,7 +936,10 @@
     label = _(u'Processed Files')
     pnav = 0
-
-    def update(self):
-        datatable.need()
+    cancel_button =_('Back to Data Center')
+
+    def update(self, CANCEL=None):
+        if CANCEL is not None:
+            self.redirect(self.url(self.context))
+            return
         return super(DatacenterFinishedPage, self).update()
 
@@ -953,5 +952,5 @@
     max_files = 20
     upload_button =_(u'Upload')
-    cancel_button =_(u'Cancel')
+    cancel_button =_(u'Back to Data Center')
 
     def getPreviewHeader(self):
@@ -1385,5 +1384,4 @@
 
     def update(self, headerfield=None, back2=None, cancel=None, proceed=None):
-        datatable.need()
         session = ISession(self.request)['waeup.kofa']
         self.filename = session.get('import_filename', None)
@@ -1580,4 +1578,5 @@
     pnav = 0
     export_button = _(u'Create CSV file')
+    cancel_button =_(u'Back to Data Center')
 
     def getExporters(self):
@@ -1591,5 +1590,9 @@
         return sorted(title_name_tuples)
 
-    def update(self, CREATE=None, DISCARD=None, exporter=None, job_id=None):
+    def update(self, CREATE=None, DISCARD=None, exporter=None,
+               job_id=None, CANCEL=None):
+        if CANCEL is not None:
+            self.redirect(self.url(self.context))
+            return
         if CREATE:
             job_id = self.context.start_export_job(
@@ -1805,5 +1808,4 @@
     def update(self):
         warning.need()
-        datatable.need()
         return super(FacultyManageFormPage, self).update()
 
@@ -1869,5 +1871,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
         self.hitlist = []
@@ -1933,5 +1934,4 @@
 
     def update(self):
-        datatable.need()
         super(DepartmentPage, self).update()
         return
@@ -1989,5 +1989,4 @@
     def update(self):
         warning.need()
-        datatable.need()
         super(DepartmentManageFormPage, self).update()
         return
@@ -2151,5 +2150,4 @@
     def update(self):
         warning.need()
-        datatable.need()
         return super(CourseManageFormPage, self).update()
 
@@ -2189,5 +2187,4 @@
 
     def update(self):
-        datatable.need()
         return super(CertificatePage, self).update()
 
@@ -2218,5 +2215,4 @@
     def update(self):
         warning.need()
-        datatable.need()
         return super(CertificateManageFormPage, self).update()
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11005)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11006)
@@ -8,9 +8,9 @@
 <br />
 
-<form  method="POST">
+<form  method="POST" class="form-inline">
   <label for="exporter">
     Exporter (Data Type):
   </label>
-  <div class="input">
+  <div class="form-group">
     <select name="exporter">
       <span tal:repeat="items view/getExporters" tal:omit-tag="">
@@ -23,8 +23,11 @@
     </select>
   </div>
-  <br />
-  <div class="input">
-    <input i18n:translate="" type="submit" class="btn primary"
+  <div class="form-group">
+    <input i18n:translate="" type="submit" class="btn btn-primary"
       name="CREATE" tal:attributes="value view/export_button" />
+  </div>
+  <div class="form-group">
+  <input type="submit" name="CANCEL" class="btn btn-default"
+      tal:attributes="value view/cancel_button" />
   </div>
 </form>
@@ -39,56 +42,57 @@
 <br /><br />
 
-<table i18n:domain="waeup.kofa">
-  <thead>
-    <tr>
-      <th i18n:translate="">Export Number</th>
-      <th i18n:translate="">Exporter</th>
-      <th i18n:translate="">Filter</th>
-      <th i18n:translate="">Creator</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Status</th>
-      <th>&nbsp;</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="job view/entries">
-      <td>
-        <span tal:replace="job/job">12</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/exporter">EXPORTER</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/args">ARGS</span>
-      </td>
-      <td>
-        <span tal:replace="job/creator">CREATOR</span>
-      </td>
-      <td nowrap>
-        <span tal:replace="job/start_time">DATETIME</span>
-      </td>
-      <td>
-        <span tal:replace="job/status">STATUS</span>
-      </td>
-      <td nowrap>
-        <a href="" class="btn small" i18n:translate=""
-           tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
-          Reload
-        </a>
-        <form method="POST">
-          <a href="" class="btn primary small"
-                 tal:attributes="href job/download_url"
-                 tal:condition="job/show_download_button">
-            Download</a>
-
-          <input type="hidden" name="job_id"
-                 tal:attributes="value job/job" />
-          <input type="submit" class="btn small"
-                 name="DISCARD" value="Discard"
-                 tal:condition="job/show_discard_button" />
-        </form>
-      </td>
-    </tr>
-  </tbody>
-</table>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="table table-condensed table-hover">
+    <thead>
+      <tr>
+        <th i18n:translate="">Export Number</th>
+        <th i18n:translate="">Exporter</th>
+        <th i18n:translate="">Filter</th>
+        <th i18n:translate="">Creator</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Status</th>
+        <th>&nbsp;</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="job view/entries">
+        <td>
+          <span tal:replace="job/job">12</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/exporter">EXPORTER</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/args">ARGS</span>
+        </td>
+        <td>
+          <span tal:replace="job/creator">CREATOR</span>
+        </td>
+        <td nowrap>
+          <span tal:replace="job/start_time">DATETIME</span>
+        </td>
+        <td>
+          <span tal:replace="job/status">STATUS</span>
+        </td>
+        <td nowrap>
+          <a href="" class="btn btn-default btn-xs" i18n:translate=""
+             tal:condition="job/show_refresh_button">
+            <img tal:attributes="src static/actionicon_reload.png" />
+            Reload
+          </a>
+          <form method="POST">
+            <a href="" class="btn btn-primary btn-xs"
+                   tal:attributes="href job/download_url"
+                   tal:condition="job/show_download_button">
+              Download</a>
+            <input type="hidden" name="job_id"
+                   tal:attributes="value job/job" />
+            <input type="submit" class="btn btn-default btn-xs"
+                   name="DISCARD" value="Discard"
+                   tal:condition="job/show_discard_button" />
+          </form>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11005)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11006)
@@ -21,2 +21,6 @@
   </tbody>
 </table>
+<form method="POST">
+  <input i18n:translate="" type="submit" class="btn btn-default" name="CANCEL"
+      tal:attributes="value view/cancel_button"/>
+</form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 11005)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 11006)
@@ -44,17 +44,12 @@
       </td>
     </tr>
-    <tr>
-      <td>
-        <input class="btn btn-primary" type="submit" name="SUBMIT"
-            tal:attributes="value view/upload_button" />
-        <input class="btn btn-default" type="submit" name="CANCEL"
-            tal:attributes="value view/cancel_button"/>
-      </td>
-      <td>
-      </td>
-    </tr>
   </table>
+  <br />
+  <input class="btn btn-primary" type="submit" name="SUBMIT"
+      tal:attributes="value view/upload_button" />
+  <input class="btn btn-default" type="submit" name="CANCEL"
+      tal:attributes="value view/cancel_button"/>
 </form>
-
+<br />
 <p i18n:translate="">
     Import managers will be automatically informed by email after file upload.