Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.py	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.py	(revision 11009)
@@ -22,5 +22,4 @@
 from zope.component import getUtility
 from hurry.workflow.interfaces import InvalidTransitionError
-from waeup.kofa.browser.resources import datatable
 from waeup.kofa.browser.layout import KofaPage, KofaAddFormPage, NullValidator
 from waeup.kofa.browser.breadcrumbs import Breadcrumb
@@ -52,5 +51,5 @@
             return
         if not batches:
-            self.flash(_('No batch selected.'))
+            self.flash(_('No batch selected.'), type='warning')
             return
         if isinstance(batches, basestring):
@@ -102,5 +101,5 @@
     @action(_('Cancel'), validator=NullValidator)
     def cancel(self, *args, **kw):
-        self.flash(_('Batch creation cancelled.'))
+        self.flash(_('Batch creation cancelled.'), type='warning')
         self.redirect(self.url(self.context))
 
@@ -120,5 +119,5 @@
     def update(self, filenames=None, reimport=None, cancel=None):
         if cancel is not None:
-            self.flash(_('Reimport cancelled.'))
+            self.flash(_('Reimport cancelled.'), type='warning')
             self.redirect(self.url(self.context))
             return
@@ -126,5 +125,5 @@
             return
         if not filenames:
-            self.flash(_('No file chosen. Action cancelled.'))
+            self.flash(_('No file chosen. Action cancelled.'), type='warning')
             self.redirect(self.url(self.context))
             return
@@ -137,5 +136,5 @@
             except KeyError:
                 self.flash(_('This batch already exists: ${a}',
-                    mapping = {'a':filename}))
+                    mapping = {'a':filename}), type='warning')
                 continue
             self.flash(_('Successfully reimported: ${a}',
@@ -156,8 +155,11 @@
     disable_button = _('Disable ACs')
     enable_button = _('Enable ACs')
+    cancel_button = _('Cancel Search')
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
+        if 'cancel' in form:
+            self.redirect(self.url(self.context))
+            return
         self.hitlist = []
         if 'searchterm' in form and form['searchterm']:
@@ -187,5 +189,5 @@
                 except InvalidTransitionError:
                     self.flash(_('${a}: Disable transition not allowed.',
-                        mapping = {'a':entry}))
+                        mapping = {'a':entry}), type='danger')
             elif 'enable' in form:
                 try:
@@ -196,5 +198,6 @@
                     self.context.logger_info(ob_class, message)
                 except InvalidTransitionError:
-                    self.flash(_('${a}: Re-enable transition not allowed.', mapping = {'a':entry}))
+                    self.flash(_('${a}: Re-enable transition not allowed.',
+                               mapping = {'a':entry}), type='danger')
         self.hitlist = search(query=self.searchterm,
             searchtype=self.searchtype, view=self)
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.txt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.txt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser.txt	(revision 11009)
@@ -273,5 +273,5 @@
     >>> ctrl.getControl(value='code').selected = True
     >>> browser.getControl(name='searchterm').value = app_1_codes.keys()[0]
-    >>> browser.getControl('Search').click()
+    >>> browser.getControl(name='search').click()
 
 The first access code in the ``APP-1`` batch is displayed:
@@ -295,5 +295,5 @@
     >>> ctrl.getControl(value='batch_serial').selected = True
     >>> browser.getControl(name='searchterm').value = '1'
-    >>> browser.getControl('Search').click()
+    >>> browser.getControl(name='search').click()
     >>> print browser.contents
     <!DOCTYPE html ...
@@ -311,5 +311,5 @@
     >>> ctrl.getControl(value='batch_serial').selected = True
     >>> browser.getControl(name='searchterm').value = 'xyz'
-    >>> browser.getControl('Search').click()
+    >>> browser.getControl(name='search').click()
     >>> print browser.contents
     <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
@@ -324,5 +324,5 @@
     >>> ctrl.getControl(value='history').selected = True
     >>> browser.getControl(name='searchterm').value = 'initialized'
-    >>> browser.getControl('Search').click()
+    >>> browser.getControl(name='search').click()
     >>> print browser.contents
     <!DOCTYPE html ...
@@ -345,5 +345,5 @@
     >>> ctrl.getControl(value='history').selected = True
     >>> browser.getControl(name='searchterm').value = 'initialized'
-    >>> browser.getControl('Search').click()
+    >>> browser.getControl(name='search').click()
 
 This lists all access codes. We now tick one to disable it and click
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt	(revision 11009)
@@ -3,52 +3,54 @@
     The following batches are available:
   </p>
-  <table>
-    <thead>
-      <tr>
-        <th>&nbsp;</th>
-        <th i18n:translate="">Prefix</th>
-        <th i18n:translate="">Entries</th>
-        <th i18n:translate="">Used</th>
-        <th i18n:translate="">Disabled</th>
-        <th i18n:translate="">Cost</th>
-        <th i18n:translate="">Date of Creation</th>
-        <th i18n:translate="">Creator</th>
-      </tr>
-    </thead>
-    <tbody>
-  <tr tal:repeat="batch context/values">
-  <td>
-    <input type="checkbox" name="batches" value="batch/prefix"
-     tal:attributes="value batch/__name__"
-     tal:condition="batch/num" />
-  </td>
-  <td>
-    <span tal:replace="batch/prefix">APP</span>
-    -
-    <span tal:replace="batch/num">10</span>
-  </td>
-  <td>
-    <span tal:replace="batch/entry_num">1012</span>
-  </td>
-  <td>
-    <span tal:replace="batch/used_num">512</span>
-  </td>
-  <td>
-    <span tal:replace="batch/disabled_num">112</span>
-  </td>
-  <td tal:content="batch/cost">12.12</td>
-  <td tal:content="python: batch.creation_date.strftime('%Y-%m-%d %H:%M:%S')">
-      2011-11-22 18:04:55
-  </td>
-  <td tal:content="batch/creator">SOMEUSER</td>
-      </tr>
-      <tr tal:condition="not: context/values">
-      <td colspan="5"><b i18n:translate="">No batches yet</b></td>
-      </tr>
-    </tbody>
-  </table>
-  <input type="submit" class="btn" name="archive"
+  <div class="table-responsive">
+    <table class="table">
+      <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th i18n:translate="">Prefix</th>
+          <th i18n:translate="">Entries</th>
+          <th i18n:translate="">Used</th>
+          <th i18n:translate="">Disabled</th>
+          <th i18n:translate="">Cost</th>
+          <th i18n:translate="">Date of Creation</th>
+          <th i18n:translate="">Creator</th>
+        </tr>
+      </thead>
+      <tbody>
+    <tr tal:repeat="batch context/values">
+    <td>
+      <input type="checkbox" name="batches" value="batch/prefix"
+       tal:attributes="value batch/__name__"
+       tal:condition="batch/num" />
+    </td>
+    <td>
+      <span tal:replace="batch/prefix">APP</span>
+      -
+      <span tal:replace="batch/num">10</span>
+    </td>
+    <td>
+      <span tal:replace="batch/entry_num">1012</span>
+    </td>
+    <td>
+      <span tal:replace="batch/used_num">512</span>
+    </td>
+    <td>
+      <span tal:replace="batch/disabled_num">112</span>
+    </td>
+    <td tal:content="batch/cost">12.12</td>
+    <td tal:content="python: batch.creation_date.strftime('%Y-%m-%d %H:%M:%S')">
+        2011-11-22 18:04:55
+    </td>
+    <td tal:content="batch/creator">SOMEUSER</td>
+        </tr>
+        <tr tal:condition="not: context/values">
+        <td colspan="5"><b i18n:translate="">No batches yet</b></td>
+        </tr>
+      </tbody>
+    </table>
+  </div>
+  <input type="submit" class="btn btn-default" name="archive"
       tal:attributes="value view/archive_button" />
-  <input type="submit" class="btn" name="delete"
+  <input type="submit" class="btn btn-default" name="delete"
        tal:attributes="value view/delete_button" />
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt	(revision 11009)
@@ -4,5 +4,5 @@
 </p>
 <form method="POST" i18n:domain="waeup.kofa">
-  <table>
+  <table class="table">
     <thead>
       <tr>
@@ -25,7 +25,7 @@
     </tbody>
   </table>
-  <input type="submit" class="btn primary" name="reimport"
+  <input type="submit" class="btn btn-primary" name="reimport"
       tal:attributes="value view/reimport_button" />
-  <input type="submit" class="btn" name="cancel"
+  <input type="submit" class="btn btn-default" name="cancel"
       tal:attributes="value view/cancel_button" />
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 11009)
@@ -1,13 +1,19 @@
-<form method="POST" i18n:domain="waeup.kofa">
+<form method="POST" i18n:domain="waeup.kofa" class="form-inline">
 <br />
-  <input type="submit" class="btn primary" name="search"
-      tal:attributes="value view/search_button" />
+  <div class="form-group">
+    <input type="submit" class="btn btn-primary" name="search"
+        tal:attributes="value view/search_button" />
   <span i18n:translate="">for access codes</span>
-  <select name="searchtype">
-    <option i18n:translate="" value="code">with PIN</option>
-    <option i18n:translate="" value="batch_serial">with serial</option>
-    <option i18n:translate="" value="history">with message term</option>
-  </select>
-  <input type="text" name="searchterm" />
+  </div>
+  <div class="form-group">
+    <select name="searchtype">
+      <option i18n:translate="" value="code">with PIN</option>
+      <option i18n:translate="" value="batch_serial">with serial</option>
+      <option i18n:translate="" value="history">with message term</option>
+    </select>
+  </div>
+  <div class="form-group">
+    <input type="text" class="form-control" name="searchterm" />
+  </div>
   <p>&nbsp;</p>
   <div tal:condition="view/hitlist">
@@ -17,5 +23,5 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="display dataTableManage">
+    <table class="dataTableManage">
       <thead>
       <tr>
@@ -43,10 +49,15 @@
     </table>
     <div>
-      <input type="submit" class="btn" name="disable"
+      <input type="submit" class="btn btn-default" name="disable"
           tal:attributes="value view/disable_button" />
-      <input type="submit" class="btn" name="enable"
+      <input type="submit" class="btn btn-default" name="enable"
           tal:attributes="value view/enable_button" />
+      <input type="submit" class="btn btn-default" name="cancel"
+          tal:attributes="value view/cancel_button" />
     </div>
-
+  </div>
+  <div tal:condition="not: view/hitlist">
+    <input type="submit" class="btn btn-default" name="cancel"
+        tal:attributes="value view/cancel_button" />
   </div>
 </form>